Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class ResourceParameterELResolver

    java.lang.Object
      javax.el.ELResolver
          org.richfaces.resource.ResourceParameterELResolver

    public class ResourceParameterELResolver

extends javax.el.ELResolver

Author:
  Nick Belaevski

Field Summary
`static String` | `CONTEXT_ATTRIBUTE_NAME`

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`ResourceParameterELResolver()`

Method Summary
`Class<?>` | `getCommonPropertyType(javax.el.ELContext context, Object base)`
`Iterator<FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext context, Object base)`
`Class<?>` | `getType(javax.el.ELContext context, Object base, Object property)`
`Object` | `getValue(javax.el.ELContext context, Object base, Object property)`
`boolean` | `isReadOnly(javax.el.ELContext context, Object base, Object property)`
`void` | `setValue(javax.el.ELContext context, Object base, Object property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTEXT_ATTRIBUTE_NAME

    public static final String CONTEXT_ATTRIBUTE_NAME

See Also:
  Constant Field Values

Constructor Detail

### ResourceParameterELResolver

    public ResourceParameterELResolver()

Method Detail

### getCommonPropertyType

    public Class<?> getCommonPropertyType(javax.el.ELContext context,
                                          Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`

### getFeatureDescriptors

    public Iterator<FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                             Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`

### getType

    public Class<?> getType(javax.el.ELContext context,
                            Object base,
                            Object property)

  Specified by:
    `getType` in class `javax.el.ELResolver`

### getValue

    public Object getValue(javax.el.ELContext context,
                           Object base,
                           Object property)

  Specified by:
    `getValue` in class `javax.el.ELResolver`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              Object base,
                              Object property)

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`

### setValue

    public void setValue(javax.el.ELContext context,
                         Object base,
                         Object property,
                         Object value)

  Specified by:
    `setValue` in class `javax.el.ELResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.